/********************************************************************
 * messages.c
 *
 * This file is part of thinkfan. See thinkfan.c for further info.
 * ******************************************************************/

#ifndef MESSAGES_C

#define MESSAGES_C

#define MSG_USAGE \
 "\nthinkfan " VERSION ": A minimalist Thinkpad fan control program\n" \
 "\nUsage: thinkfan [-hnqD [-b BIAS ] [-c CONFIG] [-s SECONDS]]" \
 "\n -h\tThis help message" \
 "\n -s\tMaximum seconds between temperature updates (default: 5)" \
 "\n -b\tFloating point number (0 <= BIAS <= 20) to control rising edge\n" \
 "     \ttemperature biasing strength (see README). Default 5." \
 "\n -c\tLoad different configuration file (default: /etc/thinkfan.conf)" \
 "\n -n\tDo not become a daemon and log to terminal & syslog" \
 "\n -q\tBe quiet (no status info on terminal)" \
 "\n -D\tDANGEROUS mode: No sanity checks on config! May damage your hardware!!\n\n"

#define MSG_DBG_T_STAT "sleeptime=%d, temp=%d, last_temp=%d, biased_temp=%d " \
 "-> level=%d\n", st, temp, last_temp, b_temp, config->items[lvl_idx].level
#define MSG_DBG_CONF_RELOAD "Received SIGHUP: reloading config...\n"

#define MSG_INF_SANITY "Sanity checks are on. Exiting.\n"
#define MSG_INF_INSANITY "Sanity checks are off. Continuing.\n"
#define MSG_INF_CONFIG \
 "Config as read from %s:\nFan level\tLow\tHigh\n", config_file
#define MSG_INF_CONF_ITEM " %d\t\t%d\t%d\n"
#define MSG_INF_TERM \
 "Caught deadly signal. Cleaning up and resetting fan control.\n"
#define MSG_WRN_SLEEPTIME_15 "WARNING: %d seconds of not realizing " \
 "rising temperatures may be dangerous!\n", sleeptime
#define MSG_WRN_SLEEPTIME_1 "A sleeptime of %d seconds doesn't make much " \
 "sense.\n", sleeptime
#define MSG_ERR_T_NONE \
 "Couldn't get any temperature from %s.\n", IBM_TEMP
#define MSG_ERR_T_GET \
 "Couldn't get any useable temperature from %s. This seems dangerous.\n", IBM_TEMP
#define MSG_ERR_MEM "Can't allocate memory!\n"
#define MSG_ERR_MODOPTS \
 "Module thinkpad_acpi doesn't seem to support fan_control\n"
#define MSG_ERR_FAN_WRITE "Error writing to " IBM_FAN ".\n"
#define MSG_ERR_FAN_INIT "Error initializing fan watchdog.\n"
#define MSG_ERR_OPT_S "ERROR: option -s requires an int argument!\n"
#define MSG_ERR_OPT_B "ERROR: option -b requires a float argument!\n"
#define MSG_ERR_ERRCOUNT "Counted %d error(s) during fancontrol. Exiting.\n", ret
#define MSG_ERR_CONF_NOFILE "Refusing to run without usable config file."\
 " Please read the documentation.\n"
#define MSG_ERR_CONF_LOST "Lost configuration! This is a bug. Please " \
 "report this to the author.\n"
#define MSG_ERR_CONF_RELOAD "Error reloading config. Keeping old one.\n"
#define MSG_ERR_CONF_PARSE "Empty config or wrong syntax!\n"
#define MSG_ERR_CONF_ORDER "%s:%d: Fan level needs to be higher than the previous one!\n", fname, line_count
#define MSG_ERR_CONF_LOWHIGH "%s:%d: LOWER limit must be smaller than HIGHER (duh!)\n... Well really, don't mess with this, it could trash your hardware.\n", fname, line_count

#endif
